POST api/poolapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
PoolViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| description | string |
Required String length: inclusive between 0 and 250 |
|
| id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
Required |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"description": "sample string 2",
"id": "68125fd7-8441-4ed5-9a75-f78e2ff5d124",
"site_id": "717ee152-5acd-488c-98ad-5b74adae3f3a"
}
application/xml, text/xml
Sample:
<pool xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <description>sample string 2</description> <id>68125fd7-8441-4ed5-9a75-f78e2ff5d124</id> <site_id>717ee152-5acd-488c-98ad-5b74adae3f3a</site_id> </pool>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"05f1c5de-b4ed-429f-8bb7-1d8143cfd529"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">05f1c5de-b4ed-429f-8bb7-1d8143cfd529</guid>